com.jscape.inet.mft.audit.reporting.metricses

## Class UserDetail.Entry

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.UserDetail.Entry

- Enclosing class:
    UserDetail

      public static class UserDetail.Entry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry()`
    `Entry(java.lang.String username)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytesDownloaded()`
    `long` | `getBytesUploaded()`
    `long` | `getFilesDownloaded()`
    `long` | `getFilesUploaded()`
    `long` | `getLastLoginDate()`
    `long` | `getSessions()`
    `java.lang.String` | `getUsername()`
    `UserDetail.Entry` | `incrementSessions()`
    `void` | `setBytesDownloaded(long value)`
    `void` | `setBytesUploaded(long value)`
    `void` | `setFilesDownloaded(long value)`
    `void` | `setFilesUploaded(long value)`
    `void` | `setLastLoginDate(long value)`
    `void` | `setSessions(long value)`
    `void` | `setUsername(java.lang.String value)`
    `java.lang.String` | `toString()`
    `UserDetail.Entry` | `updateDownloadCounters(long bytes)`
    `UserDetail.Entry` | `updateUploadCounters(long bytes)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          public Entry(java.lang.String username)

    - #### Entry

          public Entry()

  - ### Method Detail

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String value)

    - #### getSessions

          public long getSessions()

    - #### setSessions

          public void setSessions(long value)

    - #### getLastLoginDate

          public long getLastLoginDate()

    - #### setLastLoginDate

          public void setLastLoginDate(long value)

    - #### getFilesUploaded

          public long getFilesUploaded()

    - #### setFilesUploaded

          public void setFilesUploaded(long value)

    - #### getFilesDownloaded

          public long getFilesDownloaded()

    - #### setFilesDownloaded

          public void setFilesDownloaded(long value)

    - #### getBytesUploaded

          public long getBytesUploaded()

    - #### setBytesUploaded

          public void setBytesUploaded(long value)

    - #### getBytesDownloaded

          public long getBytesDownloaded()

    - #### setBytesDownloaded

          public void setBytesDownloaded(long value)

    - #### incrementSessions

          public UserDetail.Entry incrementSessions()

    - #### updateUploadCounters

          public UserDetail.Entry updateUploadCounters(long bytes)

    - #### updateDownloadCounters

          public UserDetail.Entry updateDownloadCounters(long bytes)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.